cascading.operation.text

## Class DateOperation

- java.lang.Object
- - cascading.operation.BaseOperation<Pair<java.text.SimpleDateFormat,Tuple>>
  - - cascading.operation.text.DateOperation

- All Implemented Interfaces:
    DeclaresResults, Operation<Pair<java.text.SimpleDateFormat,Tuple>>, Traceable, java.io.Serializable
  Direct Known Subclasses:
    DateFormatter, DateParser

      public class DateOperation
      extends BaseOperation<Pair<java.text.SimpleDateFormat,Tuple>>

  Class DateOperation is the base class for `DateFormatter` and `DateParser`.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.Locale` | `locale` Field locale
    `protected java.util.TimeZone` | `zone` Field zone

    - ### Fields inherited from class cascading.operation.BaseOperation

      `fieldDeclaration, numArgs, trace`

    - ### Fields inherited from interface cascading.operation.Operation

      `ANY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DateOperation(int numArgs, Fields fieldDeclaration, java.lang.String dateFormatString)` Constructor DateOperation creates a new DateOperation instance.
    `DateOperation(int numArgs, Fields fieldDeclaration, java.lang.String dateFormatString, java.util.TimeZone zone, java.util.Locale locale)` Constructor DateOperation creates a new DateOperation instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object object)`
    `protected java.util.Calendar` | `getCalendar()`
    `java.text.SimpleDateFormat` | `getDateFormat()` Method getDateFormat returns the dateFormat of this DateParser object.
    `java.lang.String` | `getDateFormatString()`
    `int` | `hashCode()`
    `void` | `prepare(FlowProcess flowProcess, OperationCall<Pair<java.text.SimpleDateFormat,Tuple>> operationCall)` Method prepare does nothing, and may safely be overridden.

    - ### Methods inherited from class cascading.operation.BaseOperation

      `cleanup, flush, getFieldDeclaration, getNumArgs, getTrace, isSafe, printOperationInternal, toString, toStringInternal`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### zone

          protected java.util.TimeZone zone

      Field zone

    - #### locale

          protected java.util.Locale locale

      Field locale

  - ### Constructor Detail

    - #### DateOperation

          @ConstructorProperties(value={"numArgs","fieldDeclaration","dateFormatString"})
          public DateOperation(int numArgs,
                                             Fields fieldDeclaration,
                                             java.lang.String dateFormatString)

      Constructor DateOperation creates a new DateOperation instance.
      Parameters:
        `numArgs` - of type int
        `fieldDeclaration` - of type Fields
        `dateFormatString` - of type String

    - #### DateOperation

          @ConstructorProperties(value={"numArgs","fieldDeclaration","dateFormatString","zone","locale"})
          public DateOperation(int numArgs,
                                             Fields fieldDeclaration,
                                             java.lang.String dateFormatString,
                                             java.util.TimeZone zone,
                                             java.util.Locale locale)

      Constructor DateOperation creates a new DateOperation instance.
      Parameters:
        `numArgs` - of type int
        `fieldDeclaration` - of type Fields
        `dateFormatString` - of type String
        `zone` - of type TimeZone
        `locale` - of type Locale

  - ### Method Detail

    - #### getDateFormatString

          public java.lang.String getDateFormatString()

    - #### getDateFormat

          public java.text.SimpleDateFormat getDateFormat()

      Method getDateFormat returns the dateFormat of this DateParser object.
      Returns:
        the dateFormat (type SimpleDateFormat) of this DateParser object.

    - #### getCalendar

          protected java.util.Calendar getCalendar()

    - #### prepare

          public void prepare(FlowProcess flowProcess,
                     OperationCall<Pair<java.text.SimpleDateFormat,Tuple>> operationCall)

      Description copied from class: `BaseOperation`
      Method prepare does nothing, and may safely be overridden.
      Specified by:
        `prepare` in interface `Operation<Pair<java.text.SimpleDateFormat,Tuple>>`
      Overrides:
        `prepare` in class `BaseOperation<Pair<java.text.SimpleDateFormat,Tuple>>`

    - #### equals

          public boolean equals(java.lang.Object object)

      Overrides:
        `equals` in class `BaseOperation<Pair<java.text.SimpleDateFormat,Tuple>>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `BaseOperation<Pair<java.text.SimpleDateFormat,Tuple>>`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.